# Corporate induction courses

You work as a company's human resources manager, and the “new guys” (5 new employees) come in and have to follow the “induction drill”, which consists of 7 small, 4h video courses, followed by an exam. Some of them, however, are going to work on the factory flour, where security regulations are not similar to the office regulations. This means 5 courses out of 6 will be identical for the 5 new employees, while 3 will have a “factory floor security” course, and 2 will have the “office floor security” course.

And to make it easier, this happens every month...

Because your 6 courses are all set, you “just” have to assign them to these courses. However, your management also requires you to be able to generate statistics on how well the new employees did pass the tests.

In a normal situation, you would stack up students into the 7 different courses, and repeat next month. However, as your requirements are to keep track of the progress of the whole employees database over time, you want to insert a time element here. Also, because some employees are factory workers (well, not really, but they do work a lot on the factory floor) and others are office workers, you'll want to configure a session dedicated to factory, and another to office.

Just create a “factory 2011-7” and an “office 2011-7” sessions, add your courses to it, then register the employees and... you're done. You can even use the *promotions* feature (in the next pages) to copy this session every month. This reduces management, improves readability of the results and allows your employees to access the induction courses whenever they want, at the cost of a single click, while still learning new courses every 3 months without having these old courses in the way.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/1.11.x/admin-guide/sessions_management/use_cases/corporate_induction_courses.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
